> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Live Agent

> Creates a new user with role agent

Required roles:
- admin



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/user/create_live_agent
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/user/create_live_agent:
    post:
      tags:
        - User
      summary: Create Live Agent
      description: |-
        Creates a new user with role agent

        Required roles:
        - admin
      operationId: create_live_agent_api_v1_user_create_live_agent_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IUserCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IUserCreate:
      properties:
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        email:
          type: string
          format: email
          title: Email
        is_active:
          type: boolean
          title: Is Active
          default: true
        is_superuser:
          type: boolean
          title: Is Superuser
          default: false
        birthdate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Birthdate
        is_enterprise:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Enterprise
          default: false
        role_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Role Id
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        active_billing_plan_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Active Billing Plan Id
        next_billing_plan_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Billing Plan Id
        stripe_customer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Customer Id
        stripe_subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Subscription Id
        stripe_subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Subscription Status
        stripe_has_payment_method:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Stripe Has Payment Method
          default: false
        is_trial:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Trial
          default: false
        used_trial:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Used Trial
          default: false
        is_paying:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Paying
          default: false
        stripe_last_payment_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Stripe Last Payment Date
        billing_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Billing Updated At
        last_credits_refresh:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Credits Refresh
        next_credits_refresh:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Credits Refresh
        password:
          type: string
          title: Password
      type: object
      required:
        - first_name
        - last_name
        - email
        - password
      title: IUserCreate
    IPostResponseBase:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
      type: object
      title: IPostResponseBase
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````